Bug 521408 - setroubleshoot: SELinux is preventing chronyd "setcap" access on <Unknown>.
Summary: setroubleshoot: SELinux is preventing chronyd "setcap" access on <Unk...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:5560adbe0db...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-05 14:43 UTC by Nicolas Mailhot
Modified: 2009-09-08 22:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-08 22:35:52 UTC
Type: ---


Attachments (Terms of Use)

Description Nicolas Mailhot 2009-09-05 14:43:59 UTC
The following was filed automatically by setroubleshoot:

Résumé:

SELinux is preventing chronyd "setcap" access on <Unknown>.

Description détaillée:

[chronyd has a permissive type (initrc_t). This access was not denied.]

SELinux denied access requested by chronyd. It is not expected that this access
is required by chronyd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Autoriser l'accès:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Informations complémentaires:

Contexte source               system_u:system_r:initrc_t:s0
Contexte cible                system_u:system_r:initrc_t:s0
Objets du contexte            None [ process ]
source                        chronyd
Chemin de la source           /usr/sbin/chronyd
Port                          <Inconnu>
Hôte                         (removed)
Paquetages RPM source         chrony-1.23-7.20081106gitbe42b4.fc12
Paquetages RPM cible          
Politique RPM                 selinux-policy-3.6.30-2.fc12
Selinux activé               True
Type de politique             targeted
MLS activé                   True
Mode strict                   Enforcing
Nom du plugin                 catchall
Nom de l'hôte                (removed)
Plateforme                    Linux (removed) 2.6.31-0.203.rc8.git2.fc12.x86_64
                              #1 SMP Fri Sep 4 21:33:05 EDT 2009 x86_64 x86_64
Compteur d'alertes            5
Première alerte              sam. 05 sept. 2009 16:01:58 CEST
Dernière alerte              sam. 05 sept. 2009 16:26:35 CEST
ID local                      61fc04b4-0445-4798-9de8-97c62edd05c4
Numéros des lignes           

Messages d'audit bruts        

node=(removed) type=AVC msg=audit(1252160795.294:27): avc:  denied  { setcap } for  pid=1543 comm="chronyd" scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:system_r:initrc_t:s0 tclass=process

node=(removed) type=SYSCALL msg=audit(1252160795.294:27): arch=c000003e syscall=126 success=yes exit=0 a0=7f4bf9e400b4 a1=7f4bf9e400bc a2=2 a3=7fffe48ce3d0 items=0 ppid=1 pid=1543 auid=4294967295 uid=494 gid=490 euid=494 suid=494 fsuid=494 egid=490 sgid=490 fsgid=490 tty=(none) ses=4294967295 comm="chronyd" exe="/usr/sbin/chronyd" subj=system_u:system_r:initrc_t:s0 key=(null)


audit2allow suggests:

#============= initrc_t ==============
allow initrc_t self:process setcap;

Comment 1 Daniel Walsh 2009-09-06 20:02:53 UTC
Miroslav 

/usr/sbin/chronyd

Needs a policy.

Comment 3 Daniel Walsh 2009-09-08 22:35:52 UTC
Fixed in selinux-policy-3.6.30-6.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.